package client;

import javax.swing.JFrame;
import javax.swing.JPanel;
import java.awt.Dimension;
import javax.swing.JLabel;

import java.awt.Frame;
import java.awt.Rectangle;
import java.awt.Color;
import javax.swing.border.SoftBevelBorder;
import javax.swing.border.BevelBorder;

public class VisualToolbar extends JPanel {

	private static final long serialVersionUID = 1L;
	private JLabel jLastMsgLabel = null;
	private JLabel jNumUsersLabel = null;
	private EEGLABChat chat;
	private Frame f;

	/**
	 * This is the default constructor
	 */
	public VisualToolbar() {
		super();
		
//		chat = new EEGLABChat("sccn.ucsd.edu");
//		chat.init();
//		chat.hide();
		  f = new JFrame();
		  f.addWindowListener(new myWindowAdapter());
//		  EEGLABChat panel = new EEGLABChat(reader.GetServer());
//		  f.add(panel);
		  chat = new EEGLABChat("sccn.ucsd.edu");
		  chat.init();
		  
		  f.add(chat);
		  f.setBackground(new java.awt.Color(255,255,255));
		  f.pack();
		  f.setSize(315,405); // add 20, seems enough for the Frame title,
//		  panel.init();
		  f.hide();
		  initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		f.addMouseListener(new java.awt.event.MouseAdapter() {
			public void mouseClicked(java.awt.event.MouseEvent e) {
				f.repaint();
			}
			public void mouseReleased(java.awt.event.MouseEvent e) {  
                f.repaint(); 
            }  
		});
		jNumUsersLabel = new JLabel();
		jNumUsersLabel.setBounds(new Rectangle(8, 46, 279, 16));
		jNumUsersLabel.setToolTipText("");
		jNumUsersLabel.setForeground(new Color(0, 0, 102));
		jNumUsersLabel.setText(chat.getUserNumber() + " users in Chat");
		jNumUsersLabel.addMouseListener(new java.awt.event.MouseAdapter() {
			public void mouseClicked(java.awt.event.MouseEvent e) {
				System.out.println("mouseClicked()"); // TODO Auto-generated Event stub mouseClicked()
				f.show();
				f.repaint();
				RefreshToolbar();
			}
		});
		jLastMsgLabel = new JLabel();
		jLastMsgLabel.setBounds(new Rectangle(8, 8, 279, 16));
		jLastMsgLabel.setText(chat.getLastMsg());
		jLastMsgLabel.addMouseListener(new java.awt.event.MouseAdapter() {
			public void mouseClicked(java.awt.event.MouseEvent e) {
				System.out.println("mouseClicked()"); // TODO Auto-generated Event stub mouseClicked()
				f.show();
				f.repaint();
				RefreshToolbar();
			}
		});
		this.setSize(287, 81);
		this.setLayout(null);
		// background 238, 248, 255
		// bk eeglab color 169, 195, 255
		// gui text 0,0,102
		// plugin menu color 128, 0, 128
		this.setBackground(new Color(169,195,255));
		this.setToolTipText("Click to expand chat");
		this.setBorder(new SoftBevelBorder(SoftBevelBorder.RAISED));
		this.add(jLastMsgLabel, null);
		this.add(jNumUsersLabel, null);
		this.addMouseListener(new java.awt.event.MouseAdapter() {   
			public void mouseClicked(java.awt.event.MouseEvent e) {
				System.out.println("mouseClicked()"); // TODO Auto-generated Event stub mouseClicked()
				
				
				f.show();
				f.repaint();
				RefreshToolbar();
//				chat.hide();
			}
		});
	}
	public void RefreshToolbar()
	{
		jNumUsersLabel.setText(chat.getUserNumber() + " users in Chat");
		jLastMsgLabel.setText(chat.getLastMsg());
		this.repaint();
	}

	

}  //  @jve:decl-index=0:visual-constraint="10,10"
